> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supaqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of domains



## OpenAPI

````yaml GET /domains
openapi: 3.0.1
info:
  title: SupaQR
  description: ''
  version: 1.0.0
servers:
  - url: https://api.supaqr.com
    description: 正式环境
security:
  - bearer: []
tags: []
paths:
  /domains:
    get:
      tags: []
      summary: Retrieve a list of domains
      parameters:
        - name: domains
          in: query
          description: |-
            Domains to filter by.
            eg. domains=domain1&domains=domain2
          required: false
          schema:
            type: array
            items:
              type: string
            uniqueItems: true
        - name: search
          in: query
          description: The search term to filter the domains by.
          required: false
          example: ''
          schema:
            type: string
            minLength: 1
            maxLength: 190
        - name: showArchived
          in: query
          description: Whether to include archived domains in the response.
          required: false
          example: ''
          schema:
            type: boolean
            default: false
        - name: page
          in: query
          description: The page number for pagination.
          required: false
          example: 0
          schema:
            type: integer
            format: int32
            default: 1
        - name: pageSize
          in: query
          description: The number of domains per page.
          required: false
          example: 0
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 50
            default: 20
        - name: sortBy
          in: query
          description: The field to sort the domains by.
          required: false
          example: ''
          schema:
            type: string
            enum:
              - created_at
              - domain
        - name: sortOrder
          in: query
          description: The order to sort the domains by.
          required: false
          example: ''
          schema:
            type: string
            enum:
              - desc
              - asc
            default: desc
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/domainData'
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    default: bad_request
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    default: unauthorized
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '403':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    default: forbidden
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    default: not_found
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '410':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - record_gone
                    default: record_gone
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '422':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - parameter_error
                    default: parameter_error
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '429':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    default: rate_limit_exceeded
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                title: ''
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    default: internal_server_error
                    description: A short code indicating the error code returned.
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                required:
                  - code
                  - message
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    domainData:
      type: object
      properties:
        slug:
          type: string
        destination:
          type: string
        clicks:
          type: integer
        expiredUrl:
          type: string
        notFoundUrl:
          type: string
        assetLinks:
          type: string
        appleAppSiteAssociation:
          type: string
        cnameStatus:
          type: string
        sslStatus:
          type: string
      required:
        - slug
        - destination
        - clicks
        - cnameStatus
        - sslStatus
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````